com.fasterxml.jackson.databind.ser.impl

## Class JsonSerializerMap

- java.lang.Object
- - com.fasterxml.jackson.databind.ser.impl.JsonSerializerMap

    public class JsonSerializerMap
    extends Object

Specialized read-only map used for storing and accessing serializers by type.

### Constructor Summary

Constructors
Constructor and Description
`JsonSerializerMap(Map<SerializerCache.TypeKey,JsonSerializer<Object>> serializers)`

### Method Summary

Methods
`JsonSerializer<Object>` `find(SerializerCache.TypeKey key)`
`int` `size()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### JsonSerializerMap

    public JsonSerializerMap(Map<SerializerCache.TypeKey,JsonSerializer<Object>> serializers)

### Method Detail

#### size

    public int size()

#### find

    public JsonSerializer<Object> find(SerializerCache.TypeKey key)